# frozen_string_literal: true

require 'spec_helper'

RSpec.describe Mathml2latex::XsltFunctions do
  let(:functions) { described_class.new }

  describe '#replace' do
    it 'can replace as expected' do
      expect(
        functions.replace('rewq1132gfewsg334', '\d', 'x')
      ).to eq('rewqxxxxgfewsgxxx')
    end
  end

  describe '#matches' do
    it 'can find right pattern' do
      expect(
        functions.matches('rewq1132\gfewsg334', '\\\\')
      ).to be(true)
    end
  end

  describe '#fetch_symbols' do
    let(:str) do
      s = ''.dup
      s << "\u2a5e".encode('utf-8')
      s << 'A'
      s << "\u225e".encode('utf-8')
      s << "\u21b6".encode('utf-8')
      s << "\u00ac".encode('utf-8')
      s
    end

    it 'can find right pattern' do
      expect(
        functions.fetch_symbols(str)
      ).to eq('\doublebarwedge A\stackrel{\scriptscriptstyle\mathrm{m}}{=}\curvearrowleft \neg ')
    end
  end
end
