# frozen_string_literal: true

# Limit coverage reporting to one build:
if /^2\.5/ =~ RUBY_VERSION && /rails-5\.2/ =~ ENV['BUNDLE_GEMFILE']
  require 'simplecov'

  SimpleCov.start do
    add_filter 'lib/mathml2latex/version.rb'
    add_filter 'spec'
    track_files 'lib/**/*.rb'
  end

  SimpleCov.minimum_coverage(90)
end

require 'bundler/setup'
require 'mathml2latex'
require 'pry'

RSpec.configure do |config|
  # Enable flags like --only-failures and --next-failure
  config.example_status_persistence_file_path = '.rspec_status'

  # Disable RSpec exposing methods globally on `Module` and `main`
  config.disable_monkey_patching!

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
